> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# List Company Users

GET https://api.megaport.com/v2/employment

Returns user information for all users in the company.

The response includes the name, email address, phone number, username, Megaport role, Megaport permissions, and whether MFA is enabled for the user.

Reference: https://en.megaport.ferndocs.com/api-reference/user-authentication/list-company-users

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Response

### 200

List Company Users - Success / List Company Users - Success

- `data` (list of V2EmploymentGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2EmploymentGetResponsesContentApplicationJsonSchemaDataItems

- `active` (boolean, optional)
- `billingContact` (boolean, optional)
- `companyId` (double, optional)
- `companyName` (string, optional)
- `email` (string, optional)
- `emails` (list of V2EmploymentGetResponsesContentApplicationJsonSchemaDataItemsEmailsItems, optional)
- `employmentId` (double, optional)
- `employmentType` (string, optional)
- `featureFlags` (list of any, optional)
- `firstName` (string, optional)
- `invitationPending` (boolean, optional)
- `lastName` (string, optional)
- `mfaEnabled` (boolean, optional)
- `mobile` (any, optional, nullable)
- `name` (string, optional)
- `notificationEnabled` (boolean, optional)
- `password` (any, optional, nullable)
- `permissions` (list of string, optional)
- `personAltId` (any, optional, nullable)
- `personId` (double, optional)
- `personUid` (string, optional)
- `phone` (string, optional, nullable)
- `position` (string, optional)
- `positionId` (double, optional)
- `requireTotp` (boolean, optional)
- `securityRoles` (list of string, optional)
- `technicalContact` (boolean, optional)
- `username` (string, optional)

### V2EmploymentGetResponsesContentApplicationJsonSchemaDataItemsEmailsItems

- `badEmail` (boolean, optional)
- `badEmailReason` (any, optional, nullable)
- `badEmailType` (any, optional, nullable)
- `email` (string, optional)
- `emailAddressId` (double, optional)
- `primary` (boolean, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "active": true,
      "billingContact": true,
      "companyId": 1153,
      "companyName": "Megacompany",
      "email": "kate.peters@example.com",
      "emails": [
        {
          "badEmail": false,
          "badEmailReason": null,
          "badEmailType": null,
          "email": "kate.peters@example.com",
          "emailAddressId": 47162,
          "primary": true
        }
      ],
      "employmentId": 51193,
      "employmentType": "REAL",
      "featureFlags": [],
      "firstName": "Kate",
      "invitationPending": false,
      "lastName": "Peters",
      "mfaEnabled": false,
      "mobile": null,
      "name": "Kate Peters",
      "notificationEnabled": true,
      "password": null,
      "permissions": [
        "financials",
        "agent_create_employee",
        "agent_create_sub_agency",
        "tickets",
        "approve_order",
        "agent_end_user",
        "services",
        "tools",
        "modify_service",
        "position_manager",
        "marketing",
        "graphs",
        "place_order",
        "company_admin",
        "virtual_employee",
        "notifications"
      ],
      "personAltId": null,
      "personId": 57278,
      "personUid": "cec8e72a-5491-47bf-af2e-0a241e14c679",
      "phone": null,
      "position": "Company Admin",
      "positionId": 1983,
      "requireTotp": false,
      "securityRoles": [
        "companyAdmin"
      ],
      "technicalContact": true,
      "username": "kate.peters@example.com"
    },
    {
      "active": true,
      "billingContact": true,
      "companyId": 1153,
      "companyName": "Megacompany",
      "email": "Simon.Bailey@example.com",
      "emails": [
        {
          "badEmail": false,
          "badEmailReason": null,
          "badEmailType": null,
          "email": "Simon.Bailey@example.com",
          "emailAddressId": 31578,
          "primary": true
        }
      ],
      "employmentId": 34796,
      "employmentType": "REAL",
      "featureFlags": [],
      "firstName": "Simon",
      "invitationPending": false,
      "lastName": "Bailey",
      "mfaEnabled": false,
      "mobile": null,
      "name": "Simon Bailey",
      "notificationEnabled": true,
      "password": null,
      "permissions": [
        "financials",
        "agent_create_employee",
        "agent_create_sub_agency",
        "tickets",
        "approve_order",
        "agent_end_user",
        "services",
        "tools",
        "modify_service",
        "position_manager",
        "marketing",
        "graphs",
        "place_order",
        "company_admin",
        "virtual_employee",
        "notifications"
      ],
      "personAltId": null,
      "personId": 38596,
      "personUid": "8319368d-896a-48fc-a0d0-2ba3149d919c",
      "phone": null,
      "position": "Company Admin",
      "positionId": 1983,
      "requireTotp": false,
      "securityRoles": [
        "companyAdmin"
      ],
      "technicalContact": true,
      "username": "Simon.Bailey@example.com"
    },
    {
      "active": false,
      "billingContact": true,
      "companyId": 1153,
      "companyName": "Megacompany",
      "email": "regulatory@example.com",
      "emails": [
        {
          "badEmail": false,
          "badEmailReason": null,
          "badEmailType": null,
          "email": "regulatory@example.com",
          "emailAddressId": 45173,
          "primary": true
        }
      ],
      "employmentId": 49383,
      "employmentType": "REAL",
      "featureFlags": [],
      "firstName": "Regulatory",
      "invitationPending": false,
      "lastName": "Megacompany",
      "mfaEnabled": false,
      "mobile": null,
      "name": "Regulatory Megacompany",
      "notificationEnabled": true,
      "password": null,
      "permissions": [
        "graphs",
        "tickets",
        "approve_order",
        "place_order",
        "services",
        "tools",
        "notifications",
        "modify_service"
      ],
      "personAltId": null,
      "personId": 54677,
      "personUid": "ba3e8eaa-3552-49c9-b58e-bc3b454a48e3",
      "phone": "+611231234",
      "position": "Technical Admin",
      "positionId": 5873,
      "requireTotp": false,
      "securityRoles": [
        "technicalAdmin"
      ],
      "technicalContact": true,
      "username": "regulatory@example.com"
    },
    {
      "active": false,
      "billingContact": true,
      "companyId": 1153,
      "companyName": "Megacompany",
      "email": "cdaniel@example.com",
      "emails": [
        {
          "badEmail": false,
          "badEmailReason": null,
          "badEmailType": null,
          "email": "cdaniel@example.com",
          "emailAddressId": 613,
          "primary": true
        }
      ],
      "employmentId": 646,
      "employmentType": "REAL",
      "featureFlags": [],
      "firstName": "Craig",
      "invitationPending": false,
      "lastName": "Daniel",
      "mfaEnabled": false,
      "mobile": null,
      "name": "Craig Daniel",
      "notificationEnabled": false,
      "password": null,
      "permissions": [
        "financials",
        "agent_create_employee",
        "agent_create_sub_agency",
        "tickets",
        "approve_order",
        "services",
        "agent_end_user",
        "tools",
        "modify_service",
        "position_manager",
        "marketing",
        "graphs",
        "place_order",
        "company_admin",
        "virtual_employee",
        "notifications"
      ],
      "personAltId": null,
      "personId": 740,
      "personUid": "22b12c35-46f1-4b5a-9815-c0e308daceec",
      "phone": "1",
      "position": "Manager",
      "positionId": 374,
      "requireTotp": false,
      "securityRoles": [
        "technicalContact",
        "companyAdmin"
      ],
      "technicalContact": true,
      "username": "cdaniel@example.com"
    }
  ],
  "message": "Found Employments for Company 1153",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/employment"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/employment';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/employment"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/employment")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/employment")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/employment');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/employment");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/employment")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```